%perl_module HTTP-GHTTP 1.07 4

Summary:       A Perl interface to the gnome ghttp library.
Group:         Applications/CPAN
License:       distributable
URL:           http://search.cpan.org/~msergeant/%{pkgname}-%{version}/
Source:        http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: libghttp-devel, gnome-libs-devel
BuildRequires: gdbm-devel, /usr/include/db.h

%description
This module is a simple interface to the Gnome project's libghttp.

It allows you to make very simple HTTP requests, without the weight
of something like LWP. This makes it very useful in situations where
memory and speed are at a premium, such as mod_perl.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_bin}/g-request
%{perl_vendorarch}/HTTP/GHTTP.pm
%{perl_vendorarch}/auto/HTTP/GHTTP/GHTTP.so
%{perl_man3dir}/HTTP::GHTTP.3pm*

%changelog
* Sat Nov  1 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
